## prometheus-nginx-vts-exporter 0.10.3%2Bgit20180501.43b4556%2Bds

=== Makefile ===
GO    := GO15VENDOREXPERIMENT=1 go
PROMU := $(GOPATH)/bin/promu
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= nginx-vts-exporter
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
TAG 					:= $(shell echo `if [ "$(TRAVIS_BRANCH)" = "master" ] || [ "$(TRAVIS_BRANCH)" = "" ] ; then echo "latest"; else echo $(TRAVIS_BRANCH) ; fi`)

all: format build test

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

crossbuild: promu
	@echo ">> crossbuilding binaries"
	@$(PROMU) crossbuild

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

push:
	@echo ">> pushing docker image, $(DOCKER_USER),$(DOCKER_IMAGE_NAME),$(TAG)"
	@echo $(DOCKER_PASS) | docker login -u "$(DOCKER_USER)" --password-stdin
	@docker tag "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" "$(DOCKER_USER)/$(DOCKER_IMAGE_NAME):$(TAG)"
	@docker push "$(DOCKER_USER)/$(DOCKER_IMAGE_NAME):$(TAG)"

release: promu github-release
	@echo ">> pushing binary to github with ghr"
	@$(PROMU) crossbuild tarballs
	@$(PROMU) release .tarballs

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
		$(GO) get -u github.com/prometheus/promu

github-release:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
		$(GO) get -u github.com/aktau/github-release

.PHONY: all style format build test vet tarball docker promu

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/nginx-vts-exporter-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds.*$// \
  https://github.com/hnlq715/nginx-vts-exporter/tags .*/v?(\d\S*)\.tar\.gz

## prometheus-nginx-vts-exporter 0.10.3+git20180501.43b4556+ds

=== debian/changelog ===
prometheus-nginx-vts-exporter (0.10.3+git20180501.43b4556+ds-2) unstable; urgency=medium

  * Team upload.
  * Patch code to work with new client API. Closes: #913580.
  * Automated fixes from cme.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Feb 2019 01:11:11 +0000

prometheus-nginx-vts-exporter (0.10.3+git20180501.43b4556+ds-1) unstable; urgency=medium

  * Initial release (Closes: #901617)

 -- Raúl Benencia <rul@kalgan.cc>  Tue, 19 Jun 2018 09:09:12 -0700

=== debian/control ===
Source: prometheus-nginx-vts-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Raúl Benencia <rul@kalgan.cc>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-vts-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-vts-exporter.git
Homepage: https://github.com/hnlq715/nginx-vts-exporter
XS-Go-Import-Path: github.com/hnlq715/nginx-vts-exporter

Package: prometheus-nginx-vts-exporter
Architecture: any
Depends: daemon,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Nginx VTS metrics
 Prometheus exporter for Nginx VTS metrics, written in Go.
 .
 This server scrapes Nginx VTS stats and exports them via HTTP for Prometheus
 consumption.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_install:
	dh_auto_install -- --no-source
	# Rename the binary to match the debian package.
	mv -v debian/$(DEB_SOURCE)/usr/bin/nginx-vts-exporter \
		debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)
